#define snapshot git20100122
%define snapshot 0

%define subrel  1

%define	rname	network-manager-applet
Name:		networkmanager-applet
Summary:	Network connection manager applet for GNOME
Version:	0.8.6.0
%if %{snapshot}
Release:	%mkrel 0.%{snapshot}.2
%else
Release:        %mkrel 1
%endif
Group:		System/Configuration/Networking
License:	GPLv2+
URL:		http://www.gnome.org/projects/NetworkManager/
%if %snapshot
Source0:	network-manager-applet-%{version}.%{snapshot}.tar.xz
%else
Source0:        http://ftp.gnome.org/pub/GNOME/sources/network-manager-applet/0.8/%{rname}-%{version}.tar.bz2
%endif
Patch0:		network-manager-applet-0.7.999-dont-start-in-kde.patch
BuildRequires:	intltool
BuildRequires:	libnm-glib-devel >= 0.8.4
BuildRequires:	libnm-glib-vpn-devel >= 0.8.4
BuildRequires:	libGConf2-devel
BuildRequires:	libglade2-devel
BuildRequires:	libgnome-keyring-devel
BuildRequires:	gnome-bluetooth-devel
BuildRequires:	libiw-devel
BuildRequires:	libnotify-devel
BuildRequires:	polkit-1-devel
Requires:	networkmanager

%description
Network-manager-applet is a system tray applet which lets you easily
connect to different networks. It is created for GNOME's notification area
but it also works for other desktop environments which provide a system
tray like KDE or XFCE. It displays the available networks and allows to
easily switch between them. For encrypted networks it will prompt the user
for the key/passphrase and it can optionally store them in the
gnome-keyring.

%prep
%setup -q -n %{rname}-%{version}
%patch0 -p1

%build
autoreconf -fi
%configure2_5x	--disable-static \
		--enable-more-warnings=yes 
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# Remove .la file for bluetooth support
rm %{buildroot}%{_libdir}/gnome-bluetooth/plugins/libnma.la
%find_lang nm-applet


%clean
rm -rf %{buildroot}

%files -f nm-applet.lang
%defattr(-,root,root)
%doc ChangeLog CONTRIBUTING
%{_bindir}/nm-connection-editor
%{_bindir}/nm-applet
%{_datadir}/applications/nm-connection-editor.desktop
%{_iconsdir}/hicolor/*/apps/*
%dir %{_datadir}/nm-applet/
%{_datadir}/nm-applet/*.ui
%{_datadir}/nm-applet/*.png
%{_sysconfdir}/xdg/autostart/nm-applet.desktop
%{_sysconfdir}/dbus-1/system.d/nm-applet.conf
%{_sysconfdir}/gconf/schemas/nm-applet.schemas
%{_libdir}/gnome-bluetooth/plugins/libnma.so


%changelog

* Wed Jan 18 2012 dmorgan <dmorgan> 0.8.6.0-1.1.mga1
+ Revision: 197695
- New version 0.8.6.0

* Thu Apr 21 2011 mikala <mikala> 0.8.4-1.mga1
+ Revision: 89445
- Update tarball 0.8.4

* Thu Apr 14 2011 mikala <mikala> 0.8.3.999-1.mga1
+ Revision: 85246
- Update tarball to 0.8.4 rc2
- Fix files list

* Tue Mar 29 2011 mikala <mikala> 0.8.2-1.mga1
+ Revision: 78847
- imported package networkmanager-applet

